Subject: bug#5042: 23.1; linum-mode gives incorrect line numbers with narrowed buffers

From: Juanma Barranquero <[email-masked]>
Date: Sun, 24 Jan 2010 10:21:10 +0100

On Sun, Jan 24, 2010 at 00:28, Mark Lillibridge <[email-masked]> wrote:

> I suggest
> calling this "restart-numbering-restriction" with possible values t and
> nil (=false).  Is this naming convention/description okay?

The name is OK, I think.

>   emacs > editing > editing basics group
>     "most basic editing facilities."
>
> The first group here really seems to only be for Linum features, which
> this is not.  It does look like a reasonable place a a user might
> search/discover this option.  I'm not sure if I can declare a variable
> in that group without actually requiring Linum to be loaded first.

Not in the linum group, no. This is not dependend on linum (though it
would use the variable); editing basics seems reasonable.

> (defcustum restart-numbering-restriction nil
>    "How should the lines of a restriction be numbered?  Normally, they receive the same line numbers as if no restriction existed (e.g., if the first line of the restriction is line number 10 of the file then it receives line number 10.  If this variable is true, the lines of the restriction are instead numbered from 1."
>    :group ???
>    :type  '(boolean))

More like this, I'd say:

(defcustom restart-numbering-restriction nil
  "If true, lines inside a restriction are numbered starting from 1.
If false, line numbers correspond to position inside the buffer."
  :group ???
  :type  'boolean)

    Juanma